Special
=======

DiracDelta
----------
.. autoclass:: sympy.functions.special.delta_functions.DiracDelta
   :members:

Heaviside
---------
.. autoclass:: sympy.functions.special.delta_functions.Heaviside
   :members:

beta
----

.. autofunction:: sympy.functions.special.gamma_functions.beta

Gamma and Related Functions
---------------------------
.. autoclass:: sympy.functions.special.gamma_functions.gamma
   :members:
.. autoclass:: sympy.functions.special.gamma_functions.loggamma
   :members:
.. autoclass:: sympy.functions.special.gamma_functions.polygamma
   :members:
.. autofunction:: sympy.functions.special.gamma_functions.digamma
.. autofunction:: sympy.functions.special.gamma_functions.trigamma
.. autoclass:: sympy.functions.special.gamma_functions.uppergamma
   :members:
.. autoclass:: sympy.functions.special.gamma_functions.lowergamma
   :members:

Special Cases of the Incomplete Gamma Functions
-----------------------------------------------
.. module:: sympy.functions.special.error_functions

.. autoclass:: Ei
.. autoclass:: expint
.. autofunction:: E1
.. autoclass:: li
.. autoclass:: Li
.. autoclass:: Si
.. autoclass:: Ci
.. autoclass:: Shi
.. autoclass:: Chi

.. autoclass:: sympy.functions.special.error_functions.FresnelIntegral
   :members:

.. autoclass:: fresnels
.. autoclass:: fresnelc

Error Functions
---------------

.. autoclass:: sympy.functions.special.error_functions.erf
.. autoclass:: sympy.functions.special.error_functions.erfc
.. autoclass:: sympy.functions.special.error_functions.erfi
.. autoclass:: sympy.functions.special.error_functions.erf2
.. autoclass:: sympy.functions.special.error_functions.erfinv
.. autoclass:: sympy.functions.special.error_functions.erfcinv
.. autoclass:: sympy.functions.special.error_functions.erf2inv

Bessel Type Functions
---------------------

.. autoclass:: sympy.functions.special.bessel.BesselBase
   :members:

.. autoclass:: sympy.functions.special.bessel.besselj
.. autoclass:: sympy.functions.special.bessel.bessely
.. _besseli:
.. autoclass:: sympy.functions.special.bessel.besseli
.. autoclass:: sympy.functions.special.bessel.besselk
.. autoclass:: sympy.functions.special.bessel.hankel1
.. autoclass:: sympy.functions.special.bessel.hankel2
.. autoclass:: sympy.functions.special.bessel.jn
.. autoclass:: sympy.functions.special.bessel.yn

.. autofunction:: sympy.functions.special.bessel.jn_zeros

B-Splines
---------

.. autofunction:: sympy.functions.special.bsplines.bspline_basis
.. autofunction:: sympy.functions.special.bsplines.bspline_basis_set

Riemann Zeta and Related Functions
----------------------------------
.. module:: sympy.functions.special.zeta_functions

.. autoclass:: zeta
.. autoclass:: dirichlet_eta
.. autoclass:: polylog
.. autoclass:: lerchphi

Hypergeometric Functions
------------------------
.. autoclass:: sympy.functions.special.hyper.hyper
   :members:

.. autoclass:: sympy.functions.special.hyper.meijerg
   :members:

Elliptic integrals
------------------
.. module:: sympy.functions.special.elliptic_integrals

.. autoclass:: elliptic_k
.. autoclass:: elliptic_f
.. autoclass:: elliptic_e
.. autoclass:: elliptic_pi

Orthogonal Polynomials
----------------------

.. automodule:: sympy.functions.special.polynomials

Jacobi Polynomials
++++++++++++++++++

.. autoclass:: sympy.functions.special.polynomials.jacobi
   :members:

.. autofunction:: sympy.functions.special.polynomials.jacobi_normalized

Gegenbauer Polynomials
++++++++++++++++++++++

.. autoclass:: sympy.functions.special.polynomials.gegenbauer
   :members:

Chebyshev Polynomials
+++++++++++++++++++++

.. autoclass:: sympy.functions.special.polynomials.chebyshevt
   :members:

.. autoclass:: sympy.functions.special.polynomials.chebyshevu
   :members:

.. autoclass:: sympy.functions.special.polynomials.chebyshevt_root
   :members:

.. autoclass:: sympy.functions.special.polynomials.chebyshevu_root
   :members:

Legendre Polynomials
++++++++++++++++++++

.. autoclass:: sympy.functions.special.polynomials.legendre
   :members:

.. autoclass:: sympy.functions.special.polynomials.assoc_legendre
   :members:

Hermite Polynomials
+++++++++++++++++++

.. autoclass:: sympy.functions.special.polynomials.hermite
   :members:

Laguerre Polynomials
++++++++++++++++++++

.. autoclass:: sympy.functions.special.polynomials.laguerre
   :members:
.. autoclass:: sympy.functions.special.polynomials.assoc_laguerre
   :members:

Spherical Harmonics
-------------------

.. autoclass:: sympy.functions.special.spherical_harmonics.Ynm

.. autofunction:: sympy.functions.special.spherical_harmonics.Ynm_c

.. autoclass:: sympy.functions.special.spherical_harmonics.Znm

Tensor Functions
----------------

.. autofunction:: sympy.functions.special.tensor_functions.Eijk

.. autofunction:: sympy.functions.special.tensor_functions.eval_levicivita

.. autoclass:: sympy.functions.special.tensor_functions.LeviCivita
   :members:

.. autoclass:: sympy.functions.special.tensor_functions.KroneckerDelta
   :members:
